Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 335238 - app-mobilephone/smsclient does not respect LDFLAGS
Summary: app-mobilephone/smsclient does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Mobile Phone Developers (INACTIVE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-30 11:32 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2013-08-21 18:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (smsclient-2.0.9a-r1:20100830-032331.log,35.47 KB, text/plain)
2010-08-30 11:32 UTC, Diego Elio Pettenò (RETIRED)
Details
smsclient-2.0.9a-r2.ebuild (smsclient-2.0.9a-r2.ebuild,1.43 KB, text/plain)
2013-04-05 18:49 UTC, Michael Mair-Keimberger (iamnr3)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-30 11:32:32 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-30 11:32:50 UTC
Created attachment 245342 [details]
Build log
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-04-05 18:49:29 UTC
Created attachment 344540 [details]
smsclient-2.0.9a-r2.ebuild

Updated the ebuild (please review):
* fixes ldflags issue
* fixes ar/randlib direct calling
* fixes install missing documentation (bug 304537)
* fixes build failures (bug 422587, bug 418303) - i took Ian Stakenvicius advise and added enewgroup
* updates ebuild to eapi 5
Comment 3 Chris Reffett gentoo-dev Security 2013-08-21 18:59:28 UTC
Fixed, thank you for the updated ebuild.